Subject: bug#70815: [PATCH] ; Enahnce python-tests.el to adapt different python interpreters

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 May 2024 18:56:52 +0300

> Date: Sun, 26 May 2024 23:15:50 +0900
> From: kobarity <[email-masked]>
> Cc: Lin Sun <[email-masked]>,
> 	[email-masked],
> 	[email-masked],
> 	Eli Zaretskii <[email-masked]>
> 
> > Why select Python 2 in the first place? Is it more important to test Python 2 than Python 3 on other platforms?
> 
> I am not saying that Python 2 (or simple "python") should be the
> first.  I do agree that "python3" should be preferred than "python".

I think Python 3 should be preferred if the user prefers it.  And if
the python interpreter invoked by "python" is not the preferred
version, then how can Emacs know which one is the preferred version?

> At the time of writing, I assumed that current ERTs can be run on both
> Python 2 and 3 on all platforms.  However, it turned out that it was
> wrong.  Some tests fail with Python 2 on Mac.  So I think we need some
> mechanism to skip test based on the interpreter version and the
> platform.

If macOS needs special treatment, here, we can install a change
specific to macOS.  But let's not skew all the platforms because of
macOS.